set tez.queue.name=${TEZ_QUEUE}; 
truncate table ${DBNAME_WRK_PROD}.f_tr_datos_detallada_prev;

-- Creo dos tabla (fija y movil) con los registros cuyos nombre_archivo_de no aparecen en la lista de los archivos cargados(la tabla anterior) y tambien creo el campo r_number para especificar numerar los registros por ocurrencias.

DROP TABLE IF EXISTS ${DBNAME_WRK_PROD}.altamira_trafico_diameter_datos_fp_temp;
create table  ${DBNAME_WRK_PROD}.altamira_trafico_diameter_datos_fp_temp as
select
t0.ani_cd,
t0.inicio_sesion_datos_fh,
t0.plan_tarifario_cd,
t0.tipo_servicio_datos_cd,
t0.tipo_servicio_datos_de,
t0.duracion_sesion_datos_mo,
t0.cantidad_enviada_bytes_mo,
t0.cantidad_recibida_bytes_mo,
t0.indicador_roaming_cd,
t0.importe_cobrado_mo,
t0.importe_costo_inicial_mo,
t0.importe_costo_abono_mo,
t0.importe_costo_recarga_mo,
t0.importe_costo_promocion_mo,
t0.importe_costo_bolsa5_mo,
t0.importe_costo_bolsa6_mo,
t0.importe_no_cargado_mo,
t0.impuesto_iva_mo,
t0.operadora_cd,
t0.tecnologia_acceso_red_cd,
case when clase_tarifa_cd is not null then clase_tarifa_cd else -2 end clase_tarifa_cd,
t0.identificador_archivo_cd,
t0.tipo_destino_cd,
t0.tipo_evento_cd,
t0.valor_eventprom_mo,
t0.imei_nr,
t0.identificador_sesion_cd,
t0.deuda_mo,
t0.identificador_celda_cd,
t0.codigo_identificador_cd,
t0.nombre_archivo_de,
t0.roaming_f,
t0.anio_mes_nr,
t0.flag_movil_fl,
ROW_NUMBER() over (PARTITION BY 
t0.ani_cd,
t0.inicio_sesion_datos_fh,
t0.plan_tarifario_cd,
t0.tipo_servicio_datos_cd,
t0.tipo_servicio_datos_de,
t0.duracion_sesion_datos_mo,
t0.cantidad_enviada_bytes_mo,
t0.cantidad_recibida_bytes_mo,
t0.indicador_roaming_cd,
t0.importe_cobrado_mo,
t0.importe_costo_inicial_mo,
t0.importe_costo_abono_mo,
t0.importe_costo_recarga_mo,
t0.importe_costo_promocion_mo,
t0.importe_costo_bolsa5_mo,
t0.importe_costo_bolsa6_mo,
t0.importe_no_cargado_mo,
t0.impuesto_iva_mo,
t0.operadora_cd,
t0.tecnologia_acceso_red_cd,
t0.clase_tarifa_cd,
t0.identificador_archivo_cd,
t0.tipo_destino_cd,
t0.tipo_evento_cd,
t0.valor_eventprom_mo,
t0.imei_nr,
t0.identificador_sesion_cd,
t0.deuda_mo,
t0.identificador_celda_cd,
t0.codigo_identificador_cd,
t0.nombre_archivo_de) as r_number
FROM trafico.altamira_trafico_diameter_datos_fp t0
LEFT JOIN ${DBNAME_EDW_PROD_LOG}.dimensional_list_nombre_extractor t1 on t0.nombre_archivo_de = t1.nombre_extractor_tx and mode_name ='datos' 
WHERE t1.nombre_extractor_tx IS NULL and fecha = ${CURRENT_DATE_N};

---insert  

insert into ${DBNAME_WRK_PROD}.f_tr_datos_detallada_prev
select
ani_cd,
inicio_sesion_datos_fh,
plan_tarifario_cd,
tipo_servicio_datos_cd,
tipo_servicio_datos_de,
case when duracion_sesion_datos_mo is not null then duracion_sesion_datos_mo else 0 end duracion_sesion_datos_mo ,      
case when cantidad_enviada_bytes_mo is not null then cantidad_enviada_bytes_mo else 0 end cantidad_enviada_bytes_mo,     
case when cantidad_recibida_bytes_mo is not null then cantidad_recibida_bytes_mo else 0 end cantidad_recibida_bytes_mo,    
indicador_roaming_cd,                    
case when importe_cobrado_mo is not null then importe_cobrado_mo else 0 end  importe_cobrado_mo,            
case when importe_costo_inicial_mo is not null then importe_costo_inicial_mo else 0 end importe_costo_inicial_mo,      
case when importe_costo_abono_mo is not null then importe_costo_abono_mo else 0 end importe_costo_abono_mo,        
case when importe_costo_recarga_mo is not null then importe_costo_recarga_mo else 0 end importe_costo_recarga_mo,      
case when importe_costo_promocion_mo is not null then importe_costo_promocion_mo else 0 end importe_costo_promocion_mo,    
case when importe_costo_bolsa5_mo is not null then importe_costo_bolsa5_mo else 0 end importe_costo_bolsa5_mo,       
case when importe_costo_bolsa6_mo is not null then importe_costo_bolsa6_mo else 0 end importe_costo_bolsa6_mo,       
case when importe_no_cargado_mo is not null then importe_no_cargado_mo else 0 end importe_no_cargado_mo,         
case when impuesto_iva_mo is not null then impuesto_iva_mo else 0 end impuesto_iva_mo,               
operadora_cd,
tecnologia_acceso_red_cd,
clase_tarifa_cd,
identificador_archivo_cd,
tipo_destino_cd,
tipo_evento_cd,
case when valor_eventprom_mo is not null then valor_eventprom_mo else 0 end valor_eventprom_mo,
imei_nr,
identificador_sesion_cd,
case when deuda_mo is not null then deuda_mo else 0 end deuda_mo,
identificador_celda_cd,
codigo_identificador_cd,
nombre_archivo_de,
roaming_f,
anio_mes_nr,
flag_movil_fl
from ${DBNAME_WRK_PROD}.altamira_trafico_diameter_datos_fp_temp
where r_number = 1

union all

select 
ani_cd,
inicio_sesion_datos_fh,
plan_tarifario_cd,
tipo_servicio_datos_cd,
tipo_servicio_datos_de,
duracion_sesion_datos_mo,
cantidad_enviada_bytes_mo,
cantidad_recibida_bytes_mo,
indicador_roaming_cd,
importe_cobrado_mo,
importe_costo_inicial_mo,
importe_costo_abono_mo,
importe_costo_recarga_mo,
importe_costo_promocion_mo,
importe_costo_bolsa5_mo,
importe_costo_bolsa6_mo,
importe_no_cargado_mo,
impuesto_iva_mo,
operadora_cd,
tecnologia_acceso_red_cd,
clase_tarifa_cd,
identificador_archivo_cd,
tipo_destino_cd,
tipo_evento_cd,
valor_eventprom_mo,
imei_nr,
identificador_sesion_cd,
deuda_mo,
identificador_celda_cd,
codigo_identificador_cd,
nombre_archivo_de,
roaming_f,
anio_mes_nr,
flag_movil_fl
from ${DBNAME_EDW}.f_tr_datos_detallada_reinyect;
